GET /destinations/templates

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Responses

200 List of destination templates
application/json
templates object[] REQUIRED
Array of:
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/destinations/templates' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/destinations/templates', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/destinations/templates', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/destinations/templates", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "templates": [
    "<object>"
  ]
}
GET /destinations/templates
Ask a question... ⌘I